Get Google Ads account health
curl --request GET \
--url https://api.sapt.ai/projects/{projectId}/google-ads/customers/{customerId}/account-health \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sapt.ai/projects/{projectId}/google-ads/customers/{customerId}/account-health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sapt.ai/projects/{projectId}/google-ads/customers/{customerId}/account-health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customerId": "<string>",
"state": "live",
"reason": "<string>",
"reasonCodes": [
"<string>"
],
"nextAction": {
"code": "<string>",
"label": "<string>"
},
"accountStatus": "<string>",
"billingStatus": "<string>",
"conversionTracking": {
"hasEnabledAction": true,
"recentConversions": 123,
"receivingData": true
},
"campaignCounts": {
"live": 123,
"limited": 123,
"needs_action": 123,
"pending_google": 123,
"off": 123,
"ended": 123
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Google Ads
Get Google Ads account health
Derive account-level health from account status, billing status, conversion tracking, and a rollup of campaign health states.
GET
/
projects
/
{projectId}
/
google-ads
/
customers
/
{customerId}
/
account-health
Get Google Ads account health
Authorizations
JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.
Query Parameters
Minimum string length:
1Response
Success
Available options:
live, limited, needs_action, pending_google, off, ended Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes